
package de.ivu.elect.presentation.entschaedigung.action;

import javax.inject.Named;

import de.ivu.elect.business.entschaedigung.entity.Auszahlung;
import de.ivu.elect.business.entschaedigung.entity.EntschaedigungStatus;

@Named(AuszahlungEntschaedigungMarkAsVorgesehenAction.COMPONENT_NAME)
public class AuszahlungEntschaedigungMarkAsVorgesehenAction extends AbstractAuszahlungEntschaedigungMarkAsEntschaedigungStatusAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "auszahlungEntschaedigungMarkAsVorgesehenAction";

  public AuszahlungEntschaedigungMarkAsVorgesehenAction() {
    super();
  }

  @Override
  public EntschaedigungStatus getZuSetzenderEntschaedigungStatus() {
    return EntschaedigungStatus.VORGESEHEN;
  }

  @Override
  protected String getActionConfirmationDialogName() {
    return "AuszahlungEntschaedigungMarkAsVorgesehenConfirmation";
  }

  @Override
  protected void markEntschaedigungenRelevantAsEntschaedigungStatus(Auszahlung auszahlung) {
    entschaedigungBulkEdit.saveEntschaedigungenAsVorgesehen(auszahlung);
  }
}
